Debian Bug report logs - #539353
pax: output of -v uses locale name instead of time

version graph

Package: pax; Maintainer for pax is Thorsten Glaser <tg@mirbsd.de>; Source for pax is src:pax.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Thu, 30 Jul 2009 23:45:01 UTC

Severity: normal

Found in version pax/1:20090728-1

Fixed in version pax/1:20120211-1

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#539353; Package pax. (Thu, 30 Jul 2009 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Thu, 30 Jul 2009 23:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pax: output of -v uses locale name instead of time
Date: Thu, 30 Jul 2009 23:41:28 +0000
[Message part 1 (text/plain, inline)]
Package: pax
Version: 1:20090728-1
Severity: normal
File: /usr/bin/pax

pax -v is supposed to print the list of archive members in a format very
similar to ls -l.  However, instead of printing the date and time, as ls
-l does, it prints "en_US.UTF-8"[0].  This behavior is bizarre and not at
all POSIX-compliant.

Please fix pax to produce POSIX-compliant output with pax -v.  If you
need a testcase, I'm happy to provide one.

[0] This even occurs when using another locale, such as es_MX.UTF-8.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pax depends on:
ii  libc6                   2.9-23+multiarch GNU C Library: Shared libraries

pax recommends no packages.

pax suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#539353; Package pax. (Sat, 01 Aug 2009 09:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. (Sat, 01 Aug 2009 09:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 539353@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 539353@bugs.debian.org
Subject: Re: Bug#539353: pax: output of -v uses locale name instead of time
Date: Fri, 31 Jul 2009 19:14:36 +0200
On Thu, 2009-07-30 at 23:41 +0000, brian m. carlson wrote:
> Package: pax
> Version: 1:20090728-1
> Severity: normal
> File: /usr/bin/pax
> 
> pax -v is supposed to print the list of archive members in a format very
> similar to ls -l.  However, instead of printing the date and time, as ls
> -l does, it prints "en_US.UTF-8"[0].  This behavior is bizarre and not at
> all POSIX-compliant.
> 
> Please fix pax to produce POSIX-compliant output with pax -v.  If you
> need a testcase, I'm happy to provide one.

Please do.

Bdale






Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#539353; Package pax. (Sat, 01 Aug 2009 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Sat, 01 Aug 2009 18:15:04 GMT) Full text and rfc822 format available.

Message #15 received at 539353@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Bdale Garbee <bdale@gag.com>
Cc: 539353@bugs.debian.org
Subject: Re: Bug#539353: pax: output of -v uses locale name instead of time
Date: Sat, 1 Aug 2009 18:11:22 +0000
[Message part 1 (text/plain, inline)]
On Fri, Jul 31, 2009 at 07:14:36PM +0200, Bdale Garbee wrote:
> On Thu, 2009-07-30 at 23:41 +0000, brian m. carlson wrote:
> > Please fix pax to produce POSIX-compliant output with pax -v.  If you
> > need a testcase, I'm happy to provide one.
> 
> Please do.

One is attached.  The archive was created with "tar --format=ustar -c ."
The file "output" is the stdout of "pax -v <testcase.tar".  As you can
see, it says "en_US.UTF-8" instead of the time.

Both files are compressed with gzip to keep the size down.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[testcase.tar.gz (application/octet-stream, attachment)]
[output.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:46 GMT) Full text and rfc822 format available.

Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Sun, 12 Feb 2012 03:09:05 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Sun, 12 Feb 2012 03:09:05 GMT) Full text and rfc822 format available.

Message #22 received at 539353-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 539353-close@bugs.debian.org
Subject: Bug#539353: fixed in pax 1:20120211-1
Date: Sun, 12 Feb 2012 03:06:43 +0000
Source: pax
Source-Version: 1:20120211-1

We believe that the bug you reported is fixed in the latest version of
pax, which is due to be installed in the Debian FTP archive:

pax_20120211-1.diff.gz
  to main/p/pax/pax_20120211-1.diff.gz
pax_20120211-1.dsc
  to main/p/pax/pax_20120211-1.dsc
pax_20120211-1_amd64.deb
  to main/p/pax/pax_20120211-1_amd64.deb
pax_20120211.orig.tar.gz
  to main/p/pax/pax_20120211.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539353@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated pax package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Format: 1.8
Date: Sun, 12 Feb 2012 02:10:40 +0000
Source: pax
Binary: pax
Architecture: source amd64
Version: 1:20120211-1
Distribution: unstable
Urgency: low
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 pax        - Portable Archive Interchange (cpio, pax, tar)
Closes: 42158 539353
Changes: 
 pax (1:20120211-1) unstable; urgency=low
 .
   * Take over maintainership of the pax package in Debian from
     Bdale Garbee (thanks) and replace it with the MirBSD variant
     also providing paxcpio/paxtar (Closes: #42158) (Closes: #539353)
   * debian/rules: cleanup (remove dh_installdirs, add back dh_clean)
   * debian/rules: modernise; use fully hardened dpkg-buildflags
   * debian/control: rework package description
Checksums-Sha1: 
 31ee58e53f6229088c0fc764c0664a1d15ceb32d 1770 pax_20120211-1.dsc
 1123a4dcf95813f6b993719923a4f903ad3a9911 138869 pax_20120211.orig.tar.gz
 7d81995217692837b10906eb0b73ad04c41cc5b8 3784 pax_20120211-1.diff.gz
 c2f01de5fd908ab01f99c92705b3e1a0baa325b6 81692 pax_20120211-1_amd64.deb
Checksums-Sha256: 
 9e95ca96a83b03d5fb0268c367216bb902b27df8be51dda1bf37157b4e10d7e4 1770 pax_20120211-1.dsc
 8734737d677dd18b57835f30b0271e64c26a0a73d1733532d6765f85d5470a33 138869 pax_20120211.orig.tar.gz
 c6d51ddef9abd48badb7c09f81cefdce3d888f72adad0b16e6ca4a56d23921c5 3784 pax_20120211-1.diff.gz
 7dd5011d0b20ee1e4574d70f6181419e35fe96a422fdb634e861a81155802dc6 81692 pax_20120211-1_amd64.deb
Files: 
 2330a68c506a106d98d42778c68ad03f 1770 utils optional pax_20120211-1.dsc
 ee53bdf9e5e14a1652a3c1b7b895f4d3 138869 utils optional pax_20120211.orig.tar.gz
 9769a90ecf476b2af0ceeae507603669 3784 utils optional pax_20120211-1.diff.gz
 f89ab703715557a865d0ea953b94432f 81692 utils optional pax_20120211-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MirBSD)

iQIcBAEBCQAGBQJPNyROAAoJEHa1NLLpkAfg3zYP/i7+FILBnQxo8eFubcR9Il94
kWJMtx7Ywfu4xeozKZ0t7iAsMTALfq7D1xMr6Vxw1UDNUzFg18cCtDFGkTE3ULik
3i2/9TwNd9JLFQxVbUXuSFtp2TgbDRG6vPSSCIZxHN/rp2fb/0BoQO4ZIssQk005
Cks7a3uV9kp4PBjuADuCXy2Waeciz98InUeHKiJ71O0rrQsqJDpt3RXjZd5vmSgR
g6sTFbe3ZwFLzdrS/kTRHWqhMelCBY2ZKkd+yRDZ+AGsWZ/G6jH6wqe9h/MlMzUr
wRb5qKyL6Jibm090tIFI9jpo2CmuVEwi5sLi5PGmRXuYq0rafUoN9dXAt0ymE243
bA0zN06djfBl2Iut+U6zgYSWFKR2Xk433omcEQ4vZM9jVpZquvuge51wJ7pguUM/
diHsOahl0rTtcrEQHzcIVvMMVyl8eq2yn0waZwMtLQ3Z/gTbn23SJvaCxmUG/d4M
3ECeTWTPmN/ajFHyCWvUSGl5EdQuevllgLiWDZJz7IBAiBB18bveiG8c7Qb2QR20
O7M/HDjxuF/6fUMPUERINQN9T1lICszMSqc0uet5NAUm7553Aqdzq0o6gYCPvg1h
JxBVircv/qV6quTOzgpqE2irUYF2x6W3Fc66NlQK0v/Jm2I9iUwlb2T3gs0BpwF7
mjrr2fXR+SQN1c1IswTg
=9oOT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Mar 2012 07:37:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:31:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.